Bug 214100 - Crash when canceling a "Copy To" from audio-CD/FLAC in overwrite dialog
Summary: Crash when canceling a "Copy To" from audio-CD/FLAC in overwrite dialog
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Collections/Local (show other bugs)
Version: 2.3-GIT
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: 2.2.2
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-11 13:31 UTC by Bart Cerneels
Modified: 2010-01-21 17:18 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bart Cerneels 2009-11-11 13:31:53 UTC
Application that crashed: amarok
Version of the application: 2.2-GIT
KDE Version: 4.3.2 (KDE 4.3.2)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-14-generic x86_64
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
I copied all tracks from Porcupine Tree - The Incident CD1 in FLAC to local collection before but for some reason track 1, 8,9 and 11 were not in the collection-view. So copied over those tracks.

For track 11 a dialog popped up to confirm an overwrite. Seems like I did have that one.

After clicking cancel amarok crashed.

 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f36b8c60770 (LWP 24913))]

Thread 16 (Thread 0x7f369e916910 (LWP 24914)):
#0  0x00007f36b025d82d in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f36a3d8fc91 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f36b0258a04 in start_thread () from /lib/libpthread.so.0
#3  0x00007f36b5cff7bd in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f369d3cd910 (LWP 24915)):
#0  0xffffffffff60017b in ?? ()
#1  0x00007f369d3ccd10 in ?? ()
#2  0x00007fff762ce782 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 14 (Thread 0x7f369c9c2910 (LWP 24918)):
#0  0x00007f36b5cf3373 in poll () from /lib/libc.so.6
#1  0x00007f369c9c8cbe in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#2  0x00007f36b0258a04 in start_thread () from /lib/libpthread.so.0
#3  0x00007f36b5cff7bd in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f3697fff910 (LWP 24919)):
#0  0x00007f36b025d5a9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f36a3da0983 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f36b0258a04 in start_thread () from /lib/libpthread.so.0
#3  0x00007f36b5cff7bd in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f36973f3910 (LWP 24920)):
#0  0x00007f36b025d5a9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f36a3da0983 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f36b0258a04 in start_thread () from /lib/libpthread.so.0
#3  0x00007f36b5cff7bd in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f3696bf2910 (LWP 24921)):
#0  0x00007f36b025d5a9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f36a3da0983 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f36b0258a04 in start_thread () from /lib/libpthread.so.0
#3  0x00007f36b5cff7bd in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f369559f910 (LWP 24923)):
#0  0x00007f36b025d5a9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f36b65154fb in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f36b2fb1326 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f36b2fb345b in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f36b2fb1a5f in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f36b2fb1eb8 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#6  0x00007f36b6514445 in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007f36b0258a04 in start_thread () from /lib/libpthread.so.0
#8  0x00007f36b5cff7bd in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f368c433910 (LWP 24924)):
#0  0x00007f36b5cf83c2 in select () from /lib/libc.so.6
#1  0x00007f36a3db8725 in xine_usec_sleep () from /usr/lib/libxine.so.1
#2  0x00007f36a3d9d7e9 in ?? () from /usr/lib/libxine.so.1
#3  0x00007f36b0258a04 in start_thread () from /lib/libpthread.so.0
#4  0x00007f36b5cff7bd in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f368ba1c910 (LWP 24925)):
#0  0x00007f36b025d5a9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f36b65154fb in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f36b2fb1326 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f36b2fb345b in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f36b2fb1a5f in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f36b2fb1eb8 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#6  0x00007f36b6514445 in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007f36b0258a04 in start_thread () from /lib/libpthread.so.0
#8  0x00007f36b5cff7bd in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f368b21b910 (LWP 24926)):
#0  0x00007f36b025d5a9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f36b65154fb in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f36b2fb1326 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f36b2fb345b in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f36b2fb3474 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f36b2fb1a5f in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f36b2fb1eb8 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#7  0x00007f36b6514445 in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f36b0258a04 in start_thread () from /lib/libpthread.so.0
#9  0x00007f36b5cff7bd in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f368aa1a910 (LWP 24927)):
#0  0x00007f36b025d5a9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f36b65154fb in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f36b2fb1326 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f36b2fb345b in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f36b2fb3474 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f36b2fb3474 in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f36b2fb3474 in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x00007f36b2fb3474 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0x00007f36b2fb3474 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0x00007f36b2fb3474 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0x00007f36b2fb3474 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0x00007f36b2fb3474 in ?? () from /usr/lib/libthreadweaver.so.4
#12 0x00007f36b2fb1a5f in ?? () from /usr/lib/libthreadweaver.so.4
#13 0x00007f36b2fb1eb8 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#14 0x00007f36b6514445 in ?? () from /usr/lib/libQtCore.so.4
#15 0x00007f36b0258a04 in start_thread () from /lib/libpthread.so.0
#16 0x00007f36b5cff7bd in clone () from /lib/libc.so.6
#17 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f368a219910 (LWP 24933)):
#0  0x00007f36b025d5a9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f36b65154fb in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f36b4d8e78c in ?? () from /usr/lib/libQtNetwork.so.4
#3  0x00007f36b6514445 in ?? () from /usr/lib/libQtCore.so.4
#4  0x00007f36b0258a04 in start_thread () from /lib/libpthread.so.0
#5  0x00007f36b5cff7bd in clone () from /lib/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f36848e1910 (LWP 25026)):
#0  0x00007f36b025d5a9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f36a3d9354b in ?? () from /usr/lib/libxine.so.1
#2  0x00007f36a3d9951d in ?? () from /usr/lib/libxine.so.1
#3  0x00007f36b0258a04 in start_thread () from /lib/libpthread.so.0
#4  0x00007f36b5cff7bd in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f36840e0910 (LWP 25027)):
#0  0x00007f36b025d5a9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f36a3d9354b in ?? () from /usr/lib/libxine.so.1
#2  0x00007f36a3d9a555 in ?? () from /usr/lib/libxine.so.1
#3  0x00007f36b0258a04 in start_thread () from /lib/libpthread.so.0
#4  0x00007f36b5cff7bd in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f3679536910 (LWP 25028)):
#0  0x00007f36b025d5a9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f36a3da3a0b in xine_event_wait () from /usr/lib/libxine.so.1
#2  0x00007f36a3da3a7e in ?? () from /usr/lib/libxine.so.1
#3  0x00007f36b0258a04 in start_thread () from /lib/libpthread.so.0
#4  0x00007f36b5cff7bd in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f36b8c60770 (LWP 24913)):
[KCrash Handler]
#5  0x000000000060f1c0 in QListData::shared_null ()
#6  0x00007f36b69e53ae in KCompositeJobPrivate::~KCompositeJobPrivate() () from /usr/lib/libkdecore.so.5
#7  0x00007f36af81791c in ?? () from /usr/lib/libkio.so.5
#8  0x00007f36b69e611a in KJob::~KJob() () from /usr/lib/libkdecore.so.5
#9  0x00007f36af807f27 in KIO::FileCopyJob::~FileCopyJob() () from /usr/lib/libkio.so.5
#10 0x00007f36b660a11d in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#11 0x00007f36b6f1aefc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#12 0x00007f36b6f221ce in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#13 0x00007f36b868bab6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#14 0x00007f36b65fac2c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#15 0x00007f36b65fb80a in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#16 0x00007f36b6623533 in ?? () from /usr/lib/libQtCore.so.4
#17 0x00007f36ae967bbe in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#18 0x00007f36ae96b588 in ?? () from /lib/libglib-2.0.so.0
#19 0x00007f36ae96b6b0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#20 0x00007f36b66231a6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#21 0x00007f36b6faf4be in ?? () from /usr/lib/libQtGui.so.4
#22 0x00007f36b65f9532 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#23 0x00007f36b65f9904 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#24 0x00007f36b65fbab9 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#25 0x000000000040a786 in main (argc=3, argv=0x7fff76266f68) at /home/bart/Code/amarok/src/main.cpp:227

Reported using DrKonqi
Comment 1 Bart Cerneels 2009-11-11 13:34:26 UTC
Unless we delete one of the subjobs in amarok I guess this is a KDE bug. Perhaps we can work around it but better report it to kdelibs to.
Comment 2 Bart Cerneels 2009-11-11 13:37:10 UTC
Seems like only a .part existed for track 11. Not sure if resume can work with audio CD. Perhaps we need to clean up any partial transfers in this case?
Comment 3 Myriam Schweingruber 2009-11-11 17:19:45 UTC
Setting the version since you seem to have forgotten :)
Comment 4 Myriam Schweingruber 2009-11-28 20:11:14 UTC
Bart, is this an Amarok bug or not?
Comment 5 Bart Cerneels 2009-11-29 11:28:54 UTC
It might be a kdelibs bug, but we could probably prevent this from happening. Nikolaj has taken a look at it, might even be fixed already.
Comment 6 David Faure 2009-12-16 17:16:23 UTC
SVN commit 1062999 by dfaure:

Fix crash in ~KCompositeJobPrivate after an error happens in a TransferJob.
Fixed for: 4.4
BUG: 214100
BUG: 202091
BUG: 197289
BUG: 180791
CCBUG: 218719
CCBUG: 162285


 M  +9 -2      job.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1062999
Comment 7 David Faure 2010-01-21 17:18:59 UTC
SVN commit 1078135 by dfaure:

Backport 1062999: Fix crash after an error happens in a TransferJob.
Fixed for: 4.3.5
CCBUG: 214100 202091 197289 180791


 M  +9 -2      job.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1078135